#!/bin/bash
# crée un nouveau fichier d'illustration à partir d'un modèle
	if [ -z "$1" ]; then
	    echo "Erreur : Veuillez spécifier un nom pour le dossier de bande dessinée." >&2
	    exit 1
	fi

	nom_bd=$1
	dossier_bd="BD"

	echo "création du dossier de bd: $nom_bd"
	mkdir -p $dossier_bd
	rm -rf "$dossier_bd/$nom_bd"
	cp -r _models/BD "$dossier_bd/$nom_bd"
	
	# générer la partie scénario avec un modèle de livre
	./generate_book.sh "scenario_bd_generated_$nom_bd"
	mv scenario_bd_generated_$nom_bd/* "$dossier_bd/$nom_bd/scenario"
	rm -rf "scenario_bd_generated_$nom_bd"
	
	ls -l $dossier_bd
	echo "dossier de bd $nom_bd créé avec un modèle de livre pour la partie scénario"
	exit 0
